#!/bin/sh

if [ "$1" = "" ] ; then
  FILES=phdth
else
  FILES=$@
fi

DPI=1200

for FILE in $FILES ; do
  ps2pdf \
    -sPAPERSIZE=a4 \
    -r$DPI \
    -dPDFSETTINGS=/prepress \
    -dCompatibilityLevel=1.3 \
    -dColorImageResolution=1200 \
    -dGrayImageResolution=1200 \
    -dMonoImageResolution=1200 \
    -dAutoFilterColorImages=false \
    -dAutoFilterGrayImages=false \
    -dAutoFilterMonoImages=false \
    -dColorImageFilter=/FlateEncode \
    -dGrayImageFilter=/FlateEncode \
    -dMonoImageFilter=/FlateEncode \
    -dEncodeColorImages=true \
    -dEncodeGrayImages=true \
    -dEncodeMonoImages=true \
    -dConvertCMYKImagesToRGB=false \
    -dColorConversionStrategy=/LeaveColorUnchanged \
    $FILE.ps $FILE"_.pdf"
done

exit

gzip -c "$name".ps > "$name".ps.gz

